package com.chinaitop.depot.intelligent.weather.mapper;

import com.chinaitop.depot.intelligent.weather.model.TWeatherhsitory;
import com.chinaitop.depot.intelligent.weather.model.TWeatherhsitoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TWeatherhsitoryMapper {
    int countByExample(TWeatherhsitoryExample example);

    int deleteByExample(TWeatherhsitoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(TWeatherhsitory record);

    int insertSelective(TWeatherhsitory record);

    List<TWeatherhsitory> selectByExample(TWeatherhsitoryExample example);

    TWeatherhsitory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TWeatherhsitory record, @Param("example") TWeatherhsitoryExample example);

    int updateByExample(@Param("record") TWeatherhsitory record, @Param("example") TWeatherhsitoryExample example);

    int updateByPrimaryKeySelective(TWeatherhsitory record);

    int updateByPrimaryKey(TWeatherhsitory record);

    void insertBatch(List<TWeatherhsitory> tWertherinfos);
}